Module javafx.controls
Package javafx.scene.control.skin

# Enum TextInputControlSkin.Direction

java.lang.Object
java.lang.Enum<TextInputControlSkin.Direction>
javafx.scene.control.skin.TextInputControlSkin.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<TextInputControlSkin.Direction>`, `Constable`

Enclosing class:
  TextInputControlSkin<T extends TextInputControl>

    public static enum TextInputControlSkin.Direction
    extends Enum<TextInputControlSkin.Direction>

Direction names for caret movement.

See Also:
  `TextInputControlSkin.moveCaret(TextUnit, Direction, boolean)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BEGINNING` |
  `DOWN` |
  `END` |
  `LEFT` |
  `RIGHT` |
  `UP` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static TextInputControlSkin.Direction` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static TextInputControlSkin.Direction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TextInputControlSkin.Direction LEFT

  - ### RIGHT

    public static final TextInputControlSkin.Direction RIGHT

  - ### UP

    public static final TextInputControlSkin.Direction UP

  - ### DOWN

    public static final TextInputControlSkin.Direction DOWN

  - ### BEGINNING

    public static final TextInputControlSkin.Direction BEGINNING

  - ### END

    public static final TextInputControlSkin.Direction END

- ## Method Details

  - ### values

    public static TextInputControlSkin.Direction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TextInputControlSkin.Direction valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null